The Edge API is used by LogFleet edge agents running on your distributed devices. These endpoints use API Key authentication instead of JWT tokens.Documentation Index
Fetch the complete documentation index at: https://docs.logfleet.io/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
All Edge API requests must include theX-API-Key header:
Agent Lifecycle
Endpoints
| Endpoint | Purpose | Frequency |
|---|---|---|
POST /edge/register | One-time agent registration | Once at startup |
POST /edge/agents/{id}/heartbeat | Health check | Every 30 seconds |
POST /edge/agents/{id}/metrics | Push metrics | Every 60 seconds |
GET /edge/agents/{id}/metric-config | Sync configurations | Every 60 seconds |
POST /edge/agents/{id}/stream | Start log streaming | On-demand |
Required Permissions
Create API keys with appropriate permissions for edge agents:| Permission | Required For |
|---|---|
edge:register | Initial registration |
edge:heartbeat | Heartbeat signals |
edge:metrics | Pushing metrics |
edge:stream | Log streaming |
For security, grant only the permissions each agent needs.
If an agent only sends heartbeats and metrics, omit
edge:stream.